document.addEventListener('DOMContentLoaded', () => {
  // Line numbers
  const updateLineNumbers = () => {
    const editor = document.querySelector('.code-editor');
    const lineNumbers = document.querySelector('.line-numbers');
    const lines = editor.innerText.split('\n').length;
    lineNumbers.innerHTML = Array.from({length: lines}, (_, i) => i + 1).join('\n');
  };

  // Editor events
  const editor = document.querySelector('.code-editor');
  editor.addEventListener('input', updateLineNumbers);
  editor.addEventListener('keydown', (e) => {
    if (e.key === 'Tab') {
      e.preventDefault();
      document.execCommand('insertText', false, '  ');
    }
  });

  // Run button
  const runButton = document.querySelector('.run-button');
  runButton.addEventListener('click', () => {
    const code = editor.innerText;
    const output = document.querySelector('.console-output');
    try {
      const result = eval(code);
      output.innerHTML += `> ${result}\n`;
    } catch (error) {
      output.innerHTML += `<span style="color: #FF0000">${error}</span>\n`;
    }
  });

  // Tab switching
  const tabs = document.querySelectorAll('.tab-buttons button');
  tabs.forEach(tab => {
    tab.addEventListener('click', () => {
      tabs.forEach(t => t.classList.remove('active'));
      tab.classList.add('active');
    });
  });

  // Initialize line numbers
  updateLineNumbers();
});